{ ******************************************************************
  This program evaluates a polynomial

  Example polynomial is P(X) = 1 + X + 2*X^2 + 3*X^3 + 4*X^4
  ****************************************************************** }

program evalpoly;

uses
  utypes, upolynom;

{ ------------------------------------------------------------------
  Define polynomial here, in the form:
  Coef(0) + Coef(1) * X + Coef(2) * X^2 + ... + Coef(Deg) * X^Deg
  ------------------------------------------------------------------ }

  const Deg = 4;

  var Coef : array[0..Deg] of Float = (1, 1, 2, 3, 4); 

{ ------------------------------------------------------------------ }

var
  X, Y : Float;
  
begin
  repeat
    Write('X    =  ');
    ReadLn(X);
    Y := Poly(X, Coef, Deg);
    WriteLn('P(X) = ', Y:12:6);
  until X = 0;
end.
