{ ******************************************************************
  Test of 'Mersenne Twister' random number generator

  This program prints 1000 integer random numbers and 1000 real
  random numbers with the default initialization. The output should 
  be similar to file mt_out.txt
  ****************************************************************** }

program testmt;

uses
  utypes, urandom;

var
  I : Word;
  R : RNG_IntType;
  X : Float;

begin
  Writeln('1000 outputs of IRanGen');
  for I := 1 to 1000 do
    begin
      R := IRanGen;
      Write(R:15);
      if i mod 5 = 0 then Writeln;
    end;

  Writeln;

  Writeln('1000 outputs of RanGen2');
  for I := 1 to 1000 do
    begin
      X := RanGen2;
      Write(X:15:8);
      if i mod 5 = 0 then Writeln;
    end;
end.
