{ ******************************************************************
  Exchange of 2 variables
  ****************************************************************** }

unit uswap;

interface

uses
  utypes;

procedure FSwap(var X, Y : Float);    { Exchange 2 reals }
procedure ISwap(var X, Y : Integer);  { Exchange 2 integers }

implementation

  procedure FSwap(var X, Y : Float);
  var
    Temp : Float;
  begin
    Temp := X;
    X := Y;
    Y := Temp;
  end;

  procedure ISwap(var X, Y : Integer);
  var
    Temp : Integer;
  begin
    Temp := X;
    X := Y;
    Y := Temp;
  end;

end.
